Bug 35553 - new port: x11/electricsheep
Summary: new port: x11/electricsheep
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2002-03-05 09:10 UTC by David Yeske
Modified: 2002-03-24 19:30 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description David Yeske 2002-03-05 09:10:01 UTC
Electricsheep is a distributed screensaver.  It realizes the
collective dream of sleeping computers from all over the internet.
When the screen-saver is activated, the screen goes black and an
animated 'sheep' appears.  Behind the scenes, the screen-saver
contacts an internet server and joins the parallel computation of
new sheep.

WWW: http://www.electricsheep.org/

- David
dyeske@yahoo.com

Fix: 

http://pigseye.kennesaw.edu/~dyeske/freebsd/electricsheep.shar
Comment 1 Zach Garner 2002-03-06 03:18:51 UTC
$ ./electricsheep
xsetbg: not found

I think xsetbg is in graphics/xli
----
Zach Garner
Comment 2 edwin 2002-03-06 04:54:01 UTC
On Tue, Mar 05, 2002 at 07:20:02PM -0800, Zach Garner wrote:
> The following reply was made to PR ports/35553; it has been noted by GNATS.
> 
> From: Zach Garner <zach@neurosoft.org>
> To: freebsd-gnats-submit@FreeBSD.org, dyeske@yahoo.com
> Cc:  
> Subject: Re: ports/35553: new port: x11/electricsheep
> Date: 05 Mar 2002 21:18:51 -0600
> 
>  $ ./electricsheep
>  xsetbg: not found
>  
>  I think xsetbg is in graphics/xli

[/var/db/pkg] edwin@k7>grep xsetbg */+CONTENTS
xloadimage-4.1.9/+CONTENTS:man//man1/xsetbg.1.gz
xloadimage-4.1.9/+CONTENTS:bin/xsetbg


How euh... Does anybody know how much network activity does this
port use? After unable to do networking for more than 15 minutes I
decided that it's not good enough for my 56Kb modem. And standalone
didn't really make me happy.

Edwin

-- 
Edwin Groothuis   |              Personal website: http://www.MavEtJu.org
edwin@mavetju.org |           Interested in MUDs? Visit Fatal Dimensions:
------------------+                       http://www.FatalDimensions.org/
Comment 3 Zach Garner 2002-03-06 06:19:47 UTC
Oops, I'm not sure why it gave me the xsetbg not found error. The
dependencies are good.

As far as running it, I've never gotten Electric Sheep to work properly
except in standalone. This port acts the same as my attempts to port it.
(I'm using ADSL)  I would not doubt that I'm doing something wrong
though.  

This is what usually happens to me: electricsheep downloads about 11
Megabytes worth of mpeg files, then numerous errors like the following
are shown:
X Error of failed request:  BadAccess (attempt to access private  
resource denied)
  Major opcode of failed request:  2 (X_ChangeWindowAttributes)
  Serial number of failed request:  103
  Current serial number in output stream:  106
subprocess error: play decoder, 256=1<<8+0
Comment 4 David Yeske 2002-03-06 06:51:10 UTC
I have updated the .shar file, the url is the same

it initially uses a lot of bandwitch to download the sheep, but once it does it uses very little
bandwith

please let me know if you see any other issues...

Regards,
David Yeske

--- Edwin Groothuis <edwin@mavetju.org> wrote:
> On Tue, Mar 05, 2002 at 07:20:02PM -0800, Zach Garner wrote:
> > The following reply was made to PR ports/35553; it has been noted by GNATS.
> > 
> > From: Zach Garner <zach@neurosoft.org>
> > To: freebsd-gnats-submit@FreeBSD.org, dyeske@yahoo.com
> > Cc:  
> > Subject: Re: ports/35553: new port: x11/electricsheep
> > Date: 05 Mar 2002 21:18:51 -0600
> > 
> >  $ ./electricsheep
> >  xsetbg: not found
> >  
> >  I think xsetbg is in graphics/xli
> 
> [/var/db/pkg] edwin@k7>grep xsetbg */+CONTENTS
> xloadimage-4.1.9/+CONTENTS:man//man1/xsetbg.1.gz
> xloadimage-4.1.9/+CONTENTS:bin/xsetbg
> 
> 
> How euh... Does anybody know how much network activity does this
> port use? After unable to do networking for more than 15 minutes I
> decided that it's not good enough for my 56Kb modem. And standalone
> didn't really make me happy.
> 
> Edwin
> 
> -- 
> Edwin Groothuis   |              Personal website: http://www.MavEtJu.org
> edwin@mavetju.org |           Interested in MUDs? Visit Fatal Dimensions:
> ------------------+                       http://www.FatalDimensions.org/


__________________________________________________
Do You Yahoo!?
Try FREE Yahoo! Mail - the world's greatest free email!
http://mail.yahoo.com/
Comment 5 Anders Nordby freebsd_committer 2002-03-24 19:29:40 UTC
State Changed
From-To: open->closed

Committed, thanks!